using PkmnLib.Plugin.Gen7.Scripts.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "skull_bash")]
public class SkullBashEffect : Script, IScriptForceTurnSelection
{
    private readonly IPokemon _owner;

    public SkullBashEffect(IPokemon owner)
    {
        _owner = owner;
    }

    /// <inheritdoc />
    public void ForceTurnSelection(IBattle battle, byte sideIndex, byte position, ref ITurnChoice? choice)
    {
        choice = TurnChoiceHelper.CreateMoveChoice(_owner, "skull_bash", sideIndex, position);
    }
}